
From: Andrew Morton <akpm@osdl.org>

arch/sparc64/kernel/ebus.c: In function `find_next_ebus':
arch/sparc64/kernel/ebus.c:530: warning: suggest parentheses around assignment used as truth value
make[1]: *** [arch/sparc64/kernel/ebus.o] Error 1

Cc: Jiri Slaby <xslaby@fi.muni.cz>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/sparc64/kernel/ebus.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/sparc64/kernel/ebus.c~arch-pci_find_device-remove-sparc64-kernel-ebusc-fix arch/sparc64/kernel/ebus.c
--- 25-sparc64/arch/sparc64/kernel/ebus.c~arch-pci_find_device-remove-sparc64-kernel-ebusc-fix	2005-09-07 03:46:09.000000000 -0700
+++ 25-sparc64-akpm/arch/sparc64/kernel/ebus.c	2005-09-07 03:46:09.000000000 -0700
@@ -527,7 +527,7 @@ static struct pci_dev *find_next_ebus(st
 {
 	struct pci_dev *pdev = start;
 
-	while (pdev = pci_get_device(PCI_VENDOR_ID_SUN, PCI_ANY_ID, pdev))
+	while ((pdev = pci_get_device(PCI_VENDOR_ID_SUN, PCI_ANY_ID, pdev)))
 		if (pdev->device == PCI_DEVICE_ID_SUN_EBUS ||
 			pdev->device == PCI_DEVICE_ID_SUN_RIO_EBUS)
 			break;
_
